CREATE PROCEDURE [dbo].[USR_UserEmailExists]
	@Email VARCHAR(255)
	
AS
DECLARE @Result BIT;

SELECT @Result = CASE WHEN EXISTS(SELECT 1 FROM Users WHERE Email = @Email) THEN 1 ELSE 0 END
RETURN @Result
